
GIS - Bug #14386

Well level timing not recorded properly

11/08/2022 15:02 - Giulio Di Anastasio

Status: Closed Start date: 11/08/2022

Priority: Normal Due date:  

Assignee: Giulio Di Anastasio % Done: 100%

Category:  Estimated time: 1.00 hour

Target version:  Spent time: 2.20 hours

Description

It has been noted that in some numerous cases, the timing of reading of well levels are recorded with a strange format, having many

decimal digits for the seconds. In these cases, when exporting the data from PgAdmin, the field "Date-Time" does not show correctly,

as it displays only the strange timing and not the date any more (which is in the end the important information...)

History

#1 - 17/08/2022 15:04 - Philippe May

- Assignee changed from Philippe May to Giulio Di Anastasio

I check quickly and could not find such issue. This field in the database is "time stamp", which can include high precision - should not be a problem.

Can you give me more detail?

Some example with well_id, time? How did you export, and which software you have imported to?

#2 - 17/08/2022 15:45 - Giulio Di Anastasio

- Assignee changed from Giulio Di Anastasio to Philippe May

- File well levels.csv added

I have just exported the well level data from pgAdmin4 version 5, into a csv file (attached)

You can see that the first reading with strange data is no. 2879 (ref_id 2, date unknown after 5 april 2018)

The problem becomes more and more frequent going down into the data, as you can see...

#3 - 17/08/2022 18:05 - Philippe May

- File wl.csv added

- Assignee changed from Philippe May to Giulio Di Anastasio

I used https://gis.avcsr.org/pgadmin (version 6.8), and exported the table as csv and these records are OK. See attachment wl.csv. That's good news,

as the data in the DB seems all fine.

Maybe an issue with the version of pgadmin you're using?

#4 - 18/08/2022 09:43 - Giulio Di Anastasio

- Estimated time set to 1.00 h

- Status changed from New to Closed

- % Done changed from 0 to 100

I have downloaded the file you saved, and yet again the problem was there. I think it is just a problem of visualization of some data in Excel, it got
solved simply assigning the format dd-mm-yyyy hh:mm to all the datetime entries in the csv...

Files

well levels.csv 416 KB 17/08/2022 Giulio Di Anastasio

wl.csv 488 KB 17/08/2022 Philippe May
